Bug 175474 - set the minimum size for the module to avoid double scrollbar problem
Summary: set the minimum size for the module to avoid double scrollbar problem
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_keys (show other bugs)
Version: 4.1
Platform: openSUSE RPMs Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Michael Jansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-18 11:08 UTC by Maciej Pilichowski
Modified: 2009-02-05 00:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
double scrollbars (45.04 KB, image/png)
2008-11-28 20:15 UTC, Maciej Pilichowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-11-18 11:08:28 UTC
Version:            (using KDE 4.1.3)
Installed from:    SuSE RPMs

set the minimum size for the module to avoid double scrollbar problem

When the height is small there is double scrollbar, it makes the window confusing and it does not help at all because the same content is then scrollable by two scrollbars.

Setting minimum height for the module would fix it, because additional scrollbar appears only when it is needed.
Comment 1 Dario Andres 2008-11-28 18:53:50 UTC
Can you attach a screenshot showing the double scrollbar. Thanks :)
Comment 2 Maciej Pilichowski 2008-11-28 20:15:24 UTC
Created attachment 28895 [details]
double scrollbars

Sure, here we go.
Comment 3 Michael Jansen 2009-02-05 00:19:37 UTC
SVN commit 921389 by mjansen:

Set a minimum size for systemsettings main window. Play nice and use
800x480 for eeepc and n810 (so i'm told).

The result is better but still not pretty. If we really intend to support
these resolution we have some work to do.

CCBUG: 175474

 M  +4 -0      mainwindow.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=921389